program dcstr_test
  use dc_types
  use dc_url, only: UrlSearchIORange
  implicit none

  !
  ! Test for "UrlSearchIORange"
  !

  write(*,*) "res = ", trim(UrlSearchIORange("time=1.0,x=345,lat=0.11,sigma=0", "lat"))
  write(*,*) "res = ", trim(UrlSearchIORange("time=1.0,x=345,lat=0.11,sigma=0", "lata"))
  write(*,*) "res = ", trim(UrlSearchIORange("file@v,x=345,lat=0.11,sigma=0", "x"))
  write(*,*) "res = ", trim(UrlSearchIORange("file?v,z=220,lat=0.11,sigma=0", "z"))
end program dcstr_test
